## zaqar-ui 1.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=1.6 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
Babel>=2.3.4 # BSD
Django<1.9,>=1.8 # BSD
django-babel>=0.5.1 # BSD

=== debian/changelog ===
zaqar-ui (1.0.0~rc1-2ubuntu1) zesty; urgency=medium

  * Turn off autotests for now since all tests are not present as yet.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 12 Feb 2017 13:15:53 +0530

zaqar-ui (1.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:35:52 +0200

zaqar-ui (1.0.0~rc1-1) experimental; urgency=medium

  * Initial release. (Closes: #839142)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 17:06:05 +0200

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-django,
                     python-django-babel (>= 0.5.1),
                     python-django-nose (>= 1.4.4),
                     python-hacking,
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput (>= 0.0.3),
                     python-nosexcover,
                     python-openstack.nose-plugin (>= 0.7),
                     python-oslosphinx (>= 2.5.0),
                     python-selenium (>= 2.50.1),
                     python-testtools (>= 1.4.0),
                     python-xvfbwrapper,
                     python-zaqarclient (>= 1.0.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-zaqar-ui?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-zaqar-ui -b debian/newton
Homepage: https://github.com/openstack/zaqar-ui

Package: python-zaqar-ui
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-babel (>= 2.3.4),
         python-django,
         python-django-babel (>= 0.5.1),
         python-pbr (>= 1.8),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	bash run_tests.sh -N --no-pep8
#	PYTHONPATH=$(CURDIR)/debian/python-zaqar-ui/usr/lib/python2.7/dist-packages \
#		NOSE_WITH_OPENSTACK=1 \
#		NOSE_OPENSTACK_COLOR=1 \
#		NOSE_OPENSTACK_RED=0.05 \
#		NOSE_OPENSTACK_YELLOW=0.025 \
#		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
#		python $(CURDIR)/manage.py test zaqar_ui --settings=zaqar_ui.test.settings
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	# Activates in the dashboard
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-zaqar-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/zaqar_ui/enabled/_1510* $(CURDIR)/debian/python-zaqar-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-zaqar-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/zaqar_ui/enabled/_1510*.py $(CURDIR)/debian/python-zaqar-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled

## zaqar-ui 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,12 @@
 # added in alphabetical order, however, some dependencies may need to
 # be installed in a specific order.
 #
-# PBR should always appear first
-pbr>=1.6 # Apache-2.0
-python-zaqarclient>=1.0.0 # Apache-2.0
-Babel>=2.3.4 # BSD
-Django<1.9,>=1.8 # BSD
-django-babel>=0.5.1 # BSD
+# Requirements for docs
+django-nose>=1.4.4 # BSD
+mock>=2.0.0 # BSD
+mox3>=0.20.0 # Apache-2.0
+openstackdocstheme>=1.18.1 # Apache-2.0
+reno>=2.5.0 # Apache-2.0
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinxcontrib-apidoc>=0.2.0  # BSD
+

=== debian/changelog ===
zaqar-ui (5.0.0-2) unstable; urgency=medium

  * Redesign zaqar-ui:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 23:05:02 +0100

zaqar-ui (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:49:39 +0200

zaqar-ui (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:49:20 +0200

zaqar-ui (4.0.0-2) unstable; urgency=medium

  * Add breaks+replaces of old py2 version of the package (Closes: #893066).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Mar 2018 09:42:14 +0000

zaqar-ui (4.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Deprecating priority extra as per policy 4.0.1.

  [ Ondřej Nový ]

  [ Thomas Goirand ]
  * New upstream release:
    - Fixed FTBFS (Closes: #892785).
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Revised debian/copyright holder list and years.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Mar 2018 08:59:30 +0100

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-django (<< 2:2),
 python3-django-babel (>= 0.6.2),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-mock,
 python3-mox3,
 python3-openstackdocstheme (>= 1.18.1),
 python3-sphinxcontrib.apidoc,
 python3-testtools (>= 2.2.0),
 python3-zaqarclient,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
Homepage: https://github.com/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-django (<< 2:2),
 python3-django-babel (>= 0.6.2),
 python3-pbr (>= 2.0),
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-zaqar-ui,
Replaces:
 python-zaqar-ui,
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/zaqar_ui/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			PYTHON=python$$i \
			python$$i $(CURDIR)/manage.py test zaqar_ui --settings=zaqar_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## zaqar-ui 7.0.0~b1~git2019071614.472d462

=== requirements.txt ===
--- 
+++ 
@@ -6,12 +6,8 @@
 # added in alphabetical order, however, some dependencies may need to
 # be installed in a specific order.
 #
-# Requirements for docs
-django-nose>=1.4.4 # BSD
-mock>=2.0.0 # BSD
-mox3>=0.20.0 # Apache-2.0
-openstackdocstheme>=1.18.1 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
-sphinxcontrib-apidoc>=0.2.0  # BSD
-
+# PBR should always appear first
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
+python-zaqarclient>=1.0.0 # Apache-2.0
+Babel!=2.4.0,>=2.3.4 # BSD
+horizon>=15.0.0.0b1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# Requirements for docs
mock>=2.0.0 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
zaqar-ui (7.0.0~b1~git2019071614.472d462-0ubuntu1) eoan; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - d/python3-zaqar-ui.post*: Collect/compress static assets.
    - d/rules, d/python3-zaqar-ui.install: Align with other Ubuntu
      openstack dashboards by installing to
      /usr/lib/python3/dist-packages/openstack_dashboard/enabled.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Use pkgos-dh_auto_install to install python modules.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 14:57:47 -0400

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,25 @@
  dh-python,
  openstack-pkg-tools (>= 70~),
  python3-all,
- python3-pbr (>= 2.0),
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~rc1),
- python3-babel,
- python3-coverage,
- python3-django (<< 2:2),
+ openstack-dashboard (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-django,
  python3-django-babel (>= 0.6.2),
+ python3-django-horizon (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
  python3-django-nose (>= 1.4.4),
- python3-hacking,
- python3-mock,
+ python3-hacking (>= 1.1.0),
+ python3-mock (>= 2.0.0),
  python3-mox3,
  python3-openstackdocstheme (>= 1.18.1),
- python3-sphinxcontrib.apidoc,
+ python3-reno (>= 2.5.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-testtools (>= 2.2.0),
- python3-zaqarclient,
+ python3-zaqarclient (>= 1.0.0),
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar-ui
 Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
@@ -35,12 +37,13 @@
 Package: python3-zaqar-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~rc1),
- python3-babel,
- python3-django (<< 2:2),
+ openstack-dashboard (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
+ python3-babel (>= 2.3.4),
+ python3-django,
  python3-django-babel (>= 0.6.2),
- python3-pbr (>= 2.0),
- python3-zaqarclient,
+ python3-django-horizon (>= 3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2~),
+ python3-pbr (>= 2.0.0),
+ python3-zaqarclient (>= 1.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -16,24 +16,11 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	echo "Do nothing..."
+	pkgos-dh_auto_install --no-py2
 
-override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
-
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove config files and dirs from /usr/lib/python3/dist-packages/zaqar_ui/
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled
-
-	dh_install
-	dh_missing --fail-missing
+	# Activates in the dashboard
+	mkdir -p $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
+	cp $(CURDIR)/zaqar_ui/enabled/_[0-9]* $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/zaqar-ui/tags .*/(\d[\d\.]+)\.tar\.gz

## zaqar-ui 7.0.0~rc1

=== debian/changelog ===
zaqar-ui (7.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Removed Breaks+Replaces: python-zaqar-ui after Buster release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 09:34:00 +0200

zaqar-ui (6.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:57:24 +0200

zaqar-ui (5.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:54:24 +0200

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-django,
 python3-django-babel,
 python3-django-nose,
 python3-hacking,
 python3-mock,
 python3-mox3,
 python3-openstackdocstheme,
 python3-sphinxcontrib.apidoc,
 python3-testtools,
 python3-zaqarclient,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
Homepage: https://github.com/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-babel,
 python3-django,
 python3-django-babel,
 python3-pbr,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,21 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	echo "Do nothing..."
 
-	# Activates in the dashboard
-	mkdir -p $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
-	cp $(CURDIR)/zaqar_ui/enabled/_[0-9]* $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
+override_dh_install:
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
+
+	# Move config files to standard location
+	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
+
+	# Copy config enabled to openstack-dashboard enabled location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## zaqar-ui 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,4 +10,4 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-zaqarclient>=1.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-horizon>=15.0.0.0b1 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -10,6 +10,6 @@
 mock>=2.0.0 # BSD
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
zaqar-ui (8.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:26:46 +0200

zaqar-ui (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:21:49 +0200

zaqar-ui (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:36:48 +0200

zaqar-ui (8.0.0~rc1-1) experimental; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 15:36:02 +0200

zaqar-ui (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:26:01 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-babel,
  python3-coverage,
  python3-django,
@@ -28,14 +28,14 @@
  python3-testtools,
  python3-zaqarclient,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar-ui
-Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui.git
 Homepage: https://github.com/openstack/zaqar-ui
 
 Package: python3-zaqar-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-babel,
  python3-django,
  python3-django-babel,
@@ -43,6 +43,8 @@
  python3-zaqarclient,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack Queueing as a Service - Dashboard plugin
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics

## zaqar-ui 9.0.0

=== debian/changelog ===
zaqar-ui (9.0.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 12:49:33 +0000

## zaqar-ui 10.0.0

=== debian/changelog ===
zaqar-ui (10.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Update maintainers.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:37:07 +0000

zaqar-ui (10.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 10.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Apr 2021 13:17:30 -0400

zaqar-ui (9.0.0+git2021012814.bbf2703-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:23:44 -0500

zaqar-ui (9.0.0+git2020121016.e01bbd4-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:04:08 -0500

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:17.1.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:17.1.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-reno,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-testtools (>= 2.2.0),
 python3-zaqarclient (>= 1.0.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
Homepage: https://github.com/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:17.1.0),
 python3-babel (>= 2.3.4),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:17.1.0),
 python3-pbr (>= 2.0.0),
 python3-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-zaqar-ui,
Replaces:
 python-zaqar-ui,
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar-ui-(10\.\d.*)\.tar\.gz

## zaqar-ui 11.0.0

=== debian/changelog ===
zaqar-ui (11.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 11.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:08:43 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar-ui-(11\.\d.*)\.tar\.gz

## zaqar-ui 12.0.0

=== debian/changelog ===
zaqar-ui (12.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:37:42 -0400

zaqar-ui (11.0.0+git2021120913.bae3359-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).
  * d/control, d/rules: Switch to pybuild and debhelper compat 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:11:51 -0500

zaqar-ui (11.0.0+git2021120913.bae3359-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 13:09:23 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar-ui-(12\.\d.*)\.tar\.gz

## zaqar-ui 13.0.0

=== debian/changelog ===
zaqar-ui (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:42:43 +0200

zaqar-ui (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 16:58:16 +0200

zaqar-ui (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 09:52:17 +0200

zaqar-ui (12.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015135):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 13:45:07 +0200

zaqar-ui (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:59:21 +0200

zaqar-ui (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:46:13 +0200

zaqar-ui (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 10:06:16 +0100

zaqar-ui (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 22:06:12 +0200

zaqar-ui (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:59:14 +0200

zaqar-ui (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:44:06 +0200

zaqar-ui (10.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:39:29 +0200

zaqar-ui (10.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:52:08 +0200

zaqar-ui (10.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:48:03 +0200

zaqar-ui (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:58:35 +0200

zaqar-ui (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:29:25 +0100

zaqar-ui (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:16:18 +0200

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-coverage,
 python3-django,
 python3-django-babel,
 python3-django-nose,
 python3-hacking,
 python3-openstackdocstheme,
 python3-sphinxcontrib.apidoc,
 python3-testtools,
 python3-zaqarclient,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui.git
Homepage: https://github.com/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-django,
 python3-django-babel,
 python3-pbr,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,9 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/zaqar_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## zaqar-ui 13.0.0+git2023011011.a938631f

=== debian/changelog ===
zaqar-ui (13.0.0+git2023011011.a938631f-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/p/replace-removed-features.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:20:55 -0500

zaqar-ui (13.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:31:48 -0400

zaqar-ui (12.0.0+git2022071816.32398c8-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/replace-removed-features.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jul 2022 15:41:25 -0400

zaqar-ui (12.0.0+git2022060612.32398c8-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 12:08:34 -0400

## zaqar-ui 14.0.0

=== debian/changelog ===
zaqar-ui (14.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 00:20:21 +0000

zaqar-ui (14.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:31:54 -0400

zaqar-ui (14.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 18:06:22 -0500

## zaqar-ui 15.0.0

=== debian/changelog ===
zaqar-ui (15.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 12:24:26 +0000

zaqar-ui (15.0.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:32:22 -0400

## zaqar-ui 16.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -7,9 +7,8 @@
 # be installed in a specific order.
 #
 # Requirements for docs
-mock>=2.0.0 # BSD
-openstackdocstheme>=1.18.1 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
+openstackdocstheme>=2.2.1 # Apache-2.0
+reno>=3.1.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
zaqar-ui (16.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:38:47 +0100

zaqar-ui (16.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:38:01 +0000

zaqar-ui (15.0.0+git2024020808.a3032b60-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 13:20:49 +0000

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-reno,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-testtools (>= 2.2.0),
 python3-zaqarclient (>= 1.0.0),
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
Homepage: https://opendev.org/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-pbr (>= 2.0.0),
 python3-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-zaqar-ui,
Replaces:
 python-zaqar-ui,
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar-ui-(\d.*)\.tar\.gz

## zaqar-ui 17.0.0

=== debian/changelog ===
zaqar-ui (17.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090711).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 13:47:24 +0100

zaqar-ui (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:12:06 +0200

zaqar-ui (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:33:34 +0200

zaqar-ui (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 13:00:41 +0200

zaqar-ui (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:19:03 +0200

zaqar-ui (16.0.0~rc1-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:04:29 +0200

zaqar-ui (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 18:28:04 +0100

zaqar-ui (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:32:36 +0200

zaqar-ui (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:14:48 +0200

zaqar-ui (14.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045566).
  * Removed dependency on python3-django-nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:25:13 +0200

zaqar-ui (14.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 17:27:03 +0200

zaqar-ui (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:55:52 +0100

zaqar-ui (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Removed Django 4 patches, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 11:13:17 +0100

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-babel,
 python3-coverage,
 python3-django,
 python3-django-babel,
 python3-hacking,
 python3-openstackdocstheme,
 python3-sphinxcontrib.apidoc,
 python3-testtools,
 python3-zaqarclient,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/zaqar-ui.git
Homepage: https://github.com/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-babel,
 python3-django,
 python3-django-babel,
 python3-pbr,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

## zaqar-ui 17.0.0+git2025011511.9e21205

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
horizon>=17.1.0 # Apache-2.0

## zaqar-ui 18.0.0

=== debian/changelog ===
zaqar-ui (18.0.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Apr 2025 23:26:49 +0000

zaqar-ui (18.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 07:24:03 -0700

zaqar-ui (17.0.0+git2025030311.1a1800f-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:29:18 +0000

zaqar-ui (17.0.0+git2025011511.9e21205-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 11:00:54 +0000

zaqar-ui (17.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:41:25 +0100

zaqar-ui (17.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 16:26:35 +0100

zaqar-ui (16.0.0+git2024080809.8c2e9497-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 10:53:10 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar_ui-(18\.\d.*)\.tar\.gz

## zaqar-ui 18.0.0+git2025070714.f619d19

=== debian/changelog ===
zaqar-ui (18.0.0+git2025070714.f619d19-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 13:36:49 -0700
